Skip to main content
POST
Create a new webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
url
string
required

Webhook endpoint URL

Example:

"https://example.com/webhooks"

events
enum<string>[]
required

Events to subscribe to

Available options:
organization.updated,
member.added,
member.removed,
member.role_updated,
invite.created,
invite.accepted,
invite.cancelled,
webhook.created,
invoice.stamped,
invoice.cancelled,
invoice.cancellation_pending,
invoice.cancellation_rejected,
invoice.stamping_failed,
invoice.payment_received,
certificate.uploaded,
certificate.expiring,
certificate.expired,
certificate.deleted,
trial.ending_soon,
trial.expired,
trial.converted
Example:
environment
enum<string>
default:production

Environment whose invoice.* events this webhook receives. Immutable after creation. Defaults to production.

Available options:
production,
sandbox

Response

Webhook created successfully. Returns webhook configuration with signing secret.